Subject: Re: query: tcpdump versus atomic?

From: William Allen Simpson <[email-masked]>
Date: Wed, 14 Oct 2009 11:20:12 -0400

William Allen Simpson wrote:
> Anybody know what code path tcpdump changes to running atomic?
> 
> Is there a function to test whether you're running atomic?
> 
To partially answer my own question, after laboriously #if'ing compiling
section by section, it affects the tcp_minisockets.c code at
tcp_create_openreq_child().

I've not found a function to test.  I've found sk->sk_allocation, but
that doesn't seem to be dynamically updated to reflect the current state.

Anyway, sorry David, but there's at least two GFP_ATOMIC here (one existing,
one new).  I've managed to change the others, by careful rearrangement.  At
least, I hope so, until some future testing reveals otherwise....